Package: org.codehaus.groovy.tools.groovydoc.antlr4

## [Java] Class GroovydocJavaVisitor

- org.codehaus.groovy.tools.groovydoc.antlr4.GroovydocJavaVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovydocJavaVisitor (String packagePath, List<LinkArgument> links)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Map<String, GroovyClassDoc>` | `getGroovyClassDocs()`
    `` | `void` | `visit(com.github.javaparser.ast.ImportDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.EnumDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.EnumConstantDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.AnnotationDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.MethodDeclaration m, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.ConstructorDeclaration c, Object arg)`
    `` | `void` | `visit(com.github.javaparser.ast.body.FieldDeclaration f, Object arg)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.github.javaparser.ast.visitor.VoidVisitorAdapter` | `com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ForEachStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.FieldDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.FieldAccessExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ForStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.IfStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.InitializerDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.EmptyStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.EnclosedExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.EnumConstantDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.EnumDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ExplicitConstructorInvocationStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ExpressionStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.MarkerAnnotationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.MemberValuePair, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.MethodCallExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.MethodDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.NameExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.NormalAnnotationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.InstanceOfExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.IntegerLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.comments.JavadocComment, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.LabeledStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.comments.LineComment, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.LongLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.AssignExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.BinaryExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.comments.BlockComment, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.BlockStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.BooleanLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.BreakStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.AnnotationDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.AnnotationMemberDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ArrayAccessExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ArrayCreationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ArrayInitializerExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.AssertStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.CompilationUnit, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ConditionalExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.ConstructorDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ContinueStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.DoStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.DoubleLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.CastExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.CatchClause, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.CharLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ClassExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.ClassOrInterfaceType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.LambdaExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.MethodReferenceExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.TypeExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.NodeList, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.ImportDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.UnknownType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.VariableDeclarationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.VariableDeclarator, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.VoidType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.WhileStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.WildcardType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.ReceiverParameter, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.VarType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.Modifier, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.SwitchExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.TextBlockLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.YieldStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleRequiresDirective, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleExportsDirective, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleProvidesDirective, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleUsesDirective, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.modules.ModuleOpensDirective, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.UnparsableStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.SimpleName, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.ArrayType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.ArrayCreationLevel, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.IntersectionType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.UnionType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ReturnStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.NullLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ObjectCreationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.PackageDeclaration, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.body.Parameter, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.PrimitiveType, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.Name, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.ThisExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.ThrowStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.TryStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.LocalClassDeclarationStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.type.TypeParameter, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.UnaryExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.SingleMemberAnnotationExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.StringLiteralExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.expr.SuperExpr, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.SynchronizedStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.SwitchStmt, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#visit(com.github.javaparser.ast.stmt.SwitchEntry, java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#wait(long), com.github.javaparser.ast.visitor.VoidVisitorAdapter#wait(long, int), com.github.javaparser.ast.visitor.VoidVisitorAdapter#wait(), com.github.javaparser.ast.visitor.VoidVisitorAdapter#equals(java.lang.Object), com.github.javaparser.ast.visitor.VoidVisitorAdapter#toString(), com.github.javaparser.ast.visitor.VoidVisitorAdapter#hashCode(), com.github.javaparser.ast.visitor.VoidVisitorAdapter#getClass(), com.github.javaparser.ast.visitor.VoidVisitorAdapter#notify(), com.github.javaparser.ast.visitor.VoidVisitorAdapter#notifyAll()`

- - ### Constructor Detail

    - #### public GroovydocJavaVisitor(String packagePath, List<LinkArgument> links)

  - ### Method Detail

    - #### public Map<String, GroovyClassDoc> getGroovyClassDocs()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.ImportDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.EnumDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.EnumConstantDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.AnnotationDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.MethodDeclaration m, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.ConstructorDeclaration c, Object arg)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(com.github.javaparser.ast.body.FieldDeclaration f, Object arg)